Summary:	GPSBabel converts GPS data from one format to another	
Name:		gpsbabel
Version:	1.5.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Geography
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:       %{name}.desktop
Source2:       %{name}.png
# Fedora patches:
# Remove network access requirement for XML doc builds and HTML doc reading
Patch1:       gpsbabel-1.4.2-xmldoc.patch
# Use system shapelib - not suitable for upstream in this form.
Patch2:       gpsbabel-1.4.3-use-system-shapelib.patch
# Pickup gmapbase.html from /usr/share/gpsbabel
Patch3:       gpsbabel-1.4.3-gmapbase.patch
# No automatic phone home by default (RHBZ 668865)
Patch4:       gpsbabel-1.4.3-nosolicitation.patch
Patch6:       0006-Use-system-zlib.patch
URL:		http://www.gpsbabel.org
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(shapelib)
BuildRequires:	pkgconfig(QtCore) >= 4
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(QtWebKit)

%description
GPSBabel converts waypoints, tracks, and routes from one format to another, 
whether that format is a common mapping format like Delorme, Streets and 
Trips, or even a serial upload or download to a GPS unit such as those from 
Garmin and Magellan. By flatting the Tower of Babel that the authors of 
various programs for manipulating GPS data have imposed upon us, it returns 
to us the ability to freely move our own waypoint data between the programs 
and hardware we choose to use.

%package gui
Summary:        Qt GUI interface for GPSBabel
Group:          Geography
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel

%prep
%setup -q
# Use system shapelib instead of bundled partial shapelib
rm -rf shapelib
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1

# Get rid of bundled zlib
# configure --with-zlib=system is not enough,
# building still accesses bundled zlib headers
rm -rf zlib/*
touch zlib/empty.in

# Avoid calling autoconf from Makefile
touch -r configure.in configure Makefile.in

%build
%configure2_5x --with-zlib=system
# fix linking:
perl -pi -e 's!-lm!-lm -lshp!' Makefile
%make
pushd gui
%qmake_qt4
lrelease *.ts
%make
popd

%install
install -d %buildroot%{_bindir}
%makeinstall_std

%makeinstall_std -C gui
install -m 0755 -d                            %{buildroot}%{_bindir}/
install -m 0755 -p gui/objects/gpsbabelfe-bin %{buildroot}%{_bindir}/
install -m 0755 -d                            %{buildroot}%{translationdir}/
install -m 0644 -p gui/gpsbabel*_*.qm         %{buildroot}%{translationdir}/

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        %{SOURCE1}

install -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

%find_lang %{name} 

%files
%doc README* COPYING
%{_bindir}/%{name}

%files gui -f %{name}.lang
%doc gui/{AUTHORS,COPYING.txt,README*,TODO} gui/help/gpsbabel.html
%{_bindir}/gpsbabelfe-bin
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/256x256/apps/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 750721
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 679918
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 tv <tv> 1.5.0-1.mga5
+ Revision: 644129
- fix linking
- new release
- resync patches with FC
- switch to pkgconfig() style BRs

* Fri Oct 18 2013 umeabot <umeabot> 1.4.4-3.mga4
+ Revision: 505218
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.4-2.mga3
+ Revision: 352540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 fwang <fwang> 1.4.4-1.mga3
+ Revision: 308954
- update rpm group
- update file list
- more system shaplib patch
- br shapelib
- new version 1.4.4
- sycn with fedora patches

* Sun Dec 18 2011 fwang <fwang> 1.4.2-4.mga2
+ Revision: 183652
- br dekstop-file-utils
- br qtwebkit
- br qtwebkit

* Sun Apr 10 2011 dmorgan <dmorgan> 1.4.2-2.mga1
+ Revision: 82998
- Fix groups (#682)

* Fri Apr 01 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 79586
- new version
- drop patch 1 (merged upstream)
- add GUI sub package

* Fri Apr 01 2011 tv <tv> 1.3.6-3.mga1
+ Revision: 79553
- imported package gpsbabel


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-3mdv2011.0
+ Revision: 619250
- the mass rebuild of 2010.0 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.3.6-2mdv2010.0
+ Revision: 437808
- rebuild

* Thu Jan 08 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.6-1mdv2009.1
+ Revision: 327269
- New version 1.3.6
- use configure2_5x
- reimport broken P0 from Fedora
- diff P1 to fix str fmt

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.4-3mdv2009.0
+ Revision: 246546
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.3.4-1mdv2008.1
+ Revision: 165954
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 81316
- New version

  + Nicolas Vigier <nvigier@mandriva.com>
    - Import gpsbabel



* Sat Jun 03 2006 Stew Benedict <sbenedict@mandriva.com> 1.2.7-1mdv2007.0
- 1.2.7

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.2.5-1mdk
- New release 1.2.5

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.2.3-2mdk
- Rebuild

* Tue Sep 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.3-1mdk
- First mandrakelinux release (suggestion from Lars Luthman)
